Skip to content

Get scan.

GET
/backend/v1/scans/{scanRequestId}

Retrieves a scan request by its ID.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

scanRequestId*
Type
string
Required
Format
"uuid"

Responses

Successful Response

application/json
JSON
{
  
"scan": {
  
  
"externalMetadata": {
  
  
},
  
  
"extraInputs": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"id": "string",
  
  
"input": "string",
  
  
"preserve": false,
  
  
"projectId": "string",
  
  
"receivedAt": "string",
  
  
"result": {
  
  
  
"outcome": "string",
  
  
  
"response": "string",
  
  
  
"scannerResults": [
  
  
  
  
{
  
  
  
  
  
"completedDate": "string",
  
  
  
  
  
"customConfig": false,
  
  
  
  
  
"data": {
  
  
  
  
  
  
"matches": [
  
  
  
  
  
  
  
[
  
  
  
  
  
  
  
]
  
  
  
  
  
  
],
  
  
  
  
  
  
"type": "regex"
  
  
  
  
  
},
  
  
  
  
  
"message": "string",
  
  
  
  
  
"outcome": "string",
  
  
  
  
  
"scanDirection": "string",
  
  
  
  
  
"scannerId": "string",
  
  
  
  
  
"scannerVersionMeta": {
  
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
"direction": "string",
  
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
  
"id": "string",
  
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"published": true
  
  
  
  
  
},
  
  
  
  
  
"startedDate": "string"
  
  
  
  
}
  
  
  
]
  
  
},
  
  
"type": "scan",
  
  
"userId": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: